Bug 1027604 - Usability issues on LDAP security configuration screen
Usability issues on LDAP security configuration screen
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Installer (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity medium
: CR1
: EAP 6.2.0
Assigned To: Miles Tjandrawidjaja
Petr Kremensky
Russell Dickenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-07 03:18 EST by Petr Kremensky
Modified: 2014-09-03 00:56 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-15 11:18:17 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Kremensky 2013-11-07 03:18:40 EST
Description of problem:
 I found two minor usability issues on LDAP security screen. 

1) Last sentence of feature description says "If using an LDAP query, escape "&" with "&", but "&" must be escaped only once user directly edit the XML file. We should remove this sentence as someone might be confuse by this and use the escaped value here. 

2) We should fix the label of Filter input field to be more general. The field can be used for either Username attribute filter or LDAP syntax query filter, but field label is "Username filter". I'd recommend to change the name of label from "Username filter" to simple "Filter".

Version-Release number of selected component (if applicable):
 EAP 6.2.0.ER7

How reproducible:
 Always

Steps to Reproduce:
 1. Run GUI installer. Go to Post-install configuration using default values.
 2. Select to enable LDAP authentication.
 3. Enter some password on first LDAP screen, proceed to LDAP security screen.

Actual results:
 See description.

Expected results:
 See description.
Comment 1 Miles Tjandrawidjaja 2013-11-07 09:17:28 EST
Strings for the LDAP security screen have been updated as stated above.

http://git.app.eng.bos.redhat.com/jbossas-installer.git/commit/?h=eap-6.2&id=2333e3d33f21bb0199bd867859a76a40dd8c2256
Comment 2 Petr Kremensky 2013-11-15 04:27:48 EST
Verified on EAP 6.2.0.CR1.

Note You need to log in before you can comment on or make changes to this bug.